"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setConfig = exports.config = void 0;
var fs_1 = require("fs");
var path_1 = require("path");
var yaml_1 = __importDefault(require("yaml"));
var _config;
function config() {
    return _config;
}
exports.config = config;
function setConfig(cfg) {
    if (typeof cfg === "string") {
        var file = fs_1.readFileSync(cfg).toString();
        var ext = path_1.extname(cfg);
        if (ext === ".json") {
            _config = JSON.parse(file);
        }
        else if (ext === ".yaml" || ext === ".yml") {
            _config = yaml_1.default.parse(file);
        }
        else {
            throw Error("Unknown config file format, only support json/yaml");
        }
    }
    else {
        _config = cfg;
    }
    if (_config.remote) {
        _config.redis.host = _config.remote.host;
        _config.api.host = _config.remote.host;
    }
    else {
        _config.redis.host = "redis";
        _config.redis.port = 6379;
        _config.api.host = "mirai";
        _config.api.port = 8080;
    }
    _config.bot.sqlitePath = _config.bot.sqlitePath || "./mirai-bot.sqlite3";
}
exports.setConfig = setConfig;
